<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>Git</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    
	<title>Comandos git</title>
	<Body bgcolor="#ff9933">
	<hr />
	<h1>Comandos GIT</h1>
	
	<h2>git status</h2>
	<p>Este Comando Será Utilizado na Situação em que o Usuário Necessite Visualizar Todos os Aquivos Adicionados e os Arquivos que Ainda Não Foram Adicionados.</p>
	<h3>Exemplo "git status":</h3>
	<img src =".\img\1GitStatus.png"/>
	
	<h2>git add .</h2>
	<p>Utilize Este Comando Para Adicionar Todos os Arquivos que Ainda Não Foram Enviados.</p>
	
	<h2>git init</h2>
        <p>O Comando Git Init Será Utilizado Dentro do Diretório do Projeto na Qual o Usuário Requisite Versionar.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitInit.png"/>
	
	<h2>git commit -m "Mensagem que Identificará o Commit"</h2>
        <p>Este Comando Irá Gravar Todos os Arquivos Adicionados ao Rastreamento Através de $ git add Sejam Gravados no Repositório.</p>
	<p>O " -m " Serve Para Indicar a Mensagem a ser "Commitada".</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitCommit.png"/>
	
	<h2>git remote add origin https://domain.com/repositorio.git</h2>
        <p>Se a Ferramenta Utilizada Pelo Usuário for Como Exemplo, o GitHub, o Endereço do Repositório Remoto Seria https://github.com/seunome/repositorio.git</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitRemoteAdd.png"/>
	
	<h2>git push</h2>
        <p>Este Comando Irá Enviar os Commit's Inseridos no Repositório Local, Para o Repositório Remoto.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitPush.png"/>
	
	<h2>git clone https://domain.com/repositorio.git</h2>
        <p>Este Comando Cria um Clone do Repositório Remoto em seu Ambiente Local, com sua Origem Configurada.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitClone.png"/>
	
	<h2>git remote</h2>
        <p>Exibirá o Nome do Repositório Remoto.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitRemoteN.png"/>
	
	<h2>git remote -v</h2>
	<p>Este Comando Apresenta o Nome e a Url.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitRemote.png"/>
	
	<h2>git pull</h2>
        <p>Este Comando Sincroniza o Repositório Local com o Remoto e Recebe as Alterações Commitadas por Outro Usuário no Repositório Remoto.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitPull.png"/>
	
	<h2>git branch nome-branch</h2>
	<p>Esse comando cria um branch, que é como se fosse um novo diretorio, contendo o mesmo conteudo do branch master, mas que ao ser modificado,</p> 
	<p>nao reflete de forma automatica no branch master ou em qualquer outro.</p>
	
	<h2>git checkout nome-branch</h2>
	<p>Faz a troca entre os branches, mantendo íntegros os conteudos de cada um deles.</p>
	
	
	<h2>git reset</h2>
	<p>desfazer mudanças nao confirmadas.</p>
	<h3>Exemplo</h3>
	<img src=".\img\1GitReset.png"/>
	
	
	
	</Body>
	
</html>